org.h2.util

## Class ThreadDeadlockDetector

- java.lang.Object
- - org.h2.util.ThreadDeadlockDetector

    public class ThreadDeadlockDetector
    extends java.lang.Object

Detects deadlocks between threads. Prints out data in the same format as the CTRL-BREAK handler, but includes information about table locks.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `dumpAllThreadsAndLocks(java.lang.String msg)` Dump all deadlocks (if any).
`static void` `dumpAllThreadsAndLocks(java.lang.String msg, java.io.PrintStream out)` Dump all deadlocks (if any).
`static void` `init()` Initialize the detector.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### init

    public static void init()

Initialize the detector.

#### dumpAllThreadsAndLocks

    public static void dumpAllThreadsAndLocks(java.lang.String msg)

Dump all deadlocks (if any).

Parameters:
  `msg` - the message

#### dumpAllThreadsAndLocks

    public static void dumpAllThreadsAndLocks(java.lang.String msg,
                                              java.io.PrintStream out)

Dump all deadlocks (if any).

Parameters:
  `msg` - the message
  `out` - the output